/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: uds.h,v 1.1 2001/04/07 20:18:48 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#ifndef _POPULAR_UDS_H
#define _POPULAR_UDS_H

int uds_socket(const char *addr, mode_t mask);
int uds_connect(int s, const char *addr);
int uds_send(int s, const char *addr, char *text, int fd);
int uds_recv(int s, char *addr, char *text, int size, int *fd);


#endif /* _POPULAR_UDS_H */


/** THE END *****************************************************************/
